import { IChatData, ISocketUser } from "../types";
export declare class SocketServer {
    private _io;
    private _socket;
    private _liveUsers;
    constructor(server: any);
    startListen(): void;
    joinRoom({ id, name }: ISocketUser): void;
    onMessageReceived({ toId, fromId, message }: IChatData): void;
    emitConnectedUsers(): void;
    sendMessage(toId: string, fromId: string, message: string): void;
}
